<?php
namespace plugins\htaccess\controllers;

/**
 * htaccess controller
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2020, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class HtaccessController extends \ActionController {

    public function doEdit() {
        $authorization = \IoC::resolve( 'authorization' );
        $authorization->authorize( 'manage_settings' );
        $filename = ROOT_DIR . '.htaccess';
        if ( is_readable( $filename) ) {
            $this->content = file_get_contents( $filename );
        } else {
            $this->flash['success'] = \IoC::resolve( 'i18n' )->__( 'htaccess_not_readable' );
        }
        $this->title = '.htaccess';
    }

    public function doSave() {
        $authorization = \IoC::resolve( 'authorization' );
        $authorization->authorize( 'manage_settings' );
        $filename = ROOT_DIR . '.htaccess';
        $backupFilename = $filename . '-' . date( 'Y-m-d' );
        file_put_contents( $backupFilename, file_get_contents( $filename ) );
        if ( is_writable( $filename ) ) {
            file_put_contents( $filename, $this->request->getParameter( 'content') );
            $this->flash['success'] = \IoC::resolve( 'i18n' )->__( 'htaccess_successfully_saved' );
        }
        $this->redirect( BASE_URL . 'system/htaccess' );
    }
}
