<?php
use services\navigation\MenuItem;

if ( !defined( 'IN_CMS' ) ) {
    exit();
}

\IoC::resolve( 'eventmediator' )->attach( 'before_route', function( FastRoute\RouteCollector $r, $request, $response ) {
    $r->addRoute( 'GET', 'system/htaccess', 'plugins\\htaccess\\controllers\\HtaccessController@edit' );
    $r->addRoute( 'POST', 'system/htaccess', 'plugins\\htaccess\\controllers\\HtaccessController@save' );
    return true;
});

\IoC::resolve( 'eventmediator' )->attach( 'after_initialize_backend_menu', function( services\navigation\Menu $backendMenu ) {
    $backendMenu->getItems()['system']->addChild( new MenuItem( 'htaccess', BASE_URL . 'system/htaccess' ) );
    return true;
} );

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin htaccess initialized.' );
